> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Devices List Members Devices

POST https://api.dropboxapi.com/2/team/devices/list_members_devices
Content-Type: application/json

List all device sessions of a team.

 Permission : Team member file access.

**Required scope:** `sessions.list`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/business-endpoints/team/devices-list-members-devices

## Authentication

- `Authorization` header (bearer token, required) — Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Body (application/json)

This endpoint expects an object.

- `cursor` (string, optional, nullable) — At the first call to the [devices/list_members_devices](api:dropbox-api:POST/2/team/devices/list_members_devices) the cursor shouldn't be passed. Then, if the result of the call includes a cursor, the following requests should include the received cursors in order to receive the next sub list of team devices.
- `include_desktop_clients` (boolean, optional, default: true) — Whether to list desktop clients of the team members.
- `include_mobile_clients` (boolean, optional, default: true) — Whether to list mobile clients of the team members.
- `include_web_sessions` (boolean, optional, default: true) — Whether to list web sessions of the team members.

## Response

### 200

Successful response

- `devices` (list of object, required) — The devices of each member of the team.
  - `team_member_id` (string, required) — The member unique Id.
  - `desktop_clients` (list of object, optional, nullable) — List of desktop clients by this team member.
    - `client_type` (object or object or object or object, required) — The Dropbox desktop client type.
      - team.DesktopPlatform.windows
        - `.tag` (enum, required)
          - Allowed values: `windows`
      - team.DesktopPlatform.mac
        - `.tag` (enum, required)
          - Allowed values: `mac`
      - team.DesktopPlatform.linux
        - `.tag` (enum, required)
          - Allowed values: `linux`
      - Other
        - `.tag` (string, optional)
    - `client_version` (string, required) — The Dropbox client version.
    - `host_name` (string, required) — Name of the hosting desktop.
    - `is_delete_on_unlink_supported` (boolean, required) — Whether it's possible to delete all of the account files upon unlinking.
    - `platform` (string, required) — Information on the hosting platform.
    - `session_id` (string, required) — The session id.
    - `country` (string, optional, nullable) — The country from which the last activity from this session was made.
    - `created` (datetime, optional, nullable) — The time this session was created.
    - `ip_address` (string, optional, nullable) — The IP address of the last activity from this session.
    - `updated` (datetime, optional, nullable) — The time of the last activity from this session.
  - `mobile_clients` (list of object, optional, nullable) — List of mobile clients by this team member.
    - `client_type` (object or object or object or object or object or object, required) — The mobile application type.
      - team.MobileClientPlatform.iphone
        - `.tag` (enum, required)
          - Allowed values: `iphone`
      - team.MobileClientPlatform.ipad
        - `.tag` (enum, required)
          - Allowed values: `ipad`
      - team.MobileClientPlatform.android
        - `.tag` (enum, required)
          - Allowed values: `android`
      - team.MobileClientPlatform.windows_phone
        - `.tag` (enum, required)
          - Allowed values: `windows_phone`
      - team.MobileClientPlatform.blackberry
        - `.tag` (enum, required)
          - Allowed values: `blackberry`
      - Other
        - `.tag` (string, optional)
    - `device_name` (string, required) — The device name.
    - `session_id` (string, required) — The session id.
    - `client_version` (string, optional, nullable) — The dropbox client version.
    - `country` (string, optional, nullable) — The country from which the last activity from this session was made.
    - `created` (datetime, optional, nullable) — The time this session was created.
    - `ip_address` (string, optional, nullable) — The IP address of the last activity from this session.
    - `last_carrier` (string, optional, nullable) — last carrier used by the device.
    - `os_version` (string, optional, nullable) — The hosting OS version.
    - `updated` (datetime, optional, nullable) — The time of the last activity from this session.
  - `web_sessions` (list of object, optional, nullable) — List of web sessions made by this team member.
    - `browser` (string, required) — Information on the browser used for this web session.
    - `os` (string, required) — Information on the hosting operating system.
    - `session_id` (string, required) — The session id.
    - `user_agent` (string, required) — Information on the hosting device.
    - `country` (string, optional, nullable) — The country from which the last activity from this session was made.
    - `created` (datetime, optional, nullable) — The time this session was created.
    - `expires` (datetime, optional, nullable) — The time this session expires.
    - `ip_address` (string, optional, nullable) — The IP address of the last activity from this session.
    - `updated` (datetime, optional, nullable) — The time of the last activity from this session.
- `has_more` (boolean, required) — If true, then there are more devices available. Pass the cursor to [devices/list_members_devices](api:dropbox-api:POST/2/team/devices/list_members_devices) to retrieve the rest.
- `cursor` (string, optional, nullable) — Pass the cursor into [devices/list_members_devices](api:dropbox-api:POST/2/team/devices/list_members_devices) to receive the next sub list of team's devices.

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

Endpoint-specific error

- `error` (object or object, required)
  - team.ListMembersDevicesError.reset
    - `.tag` (enum, required)
      - Allowed values: `reset`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.
- `user_message` (object, optional)
  - `locale` (string, optional)
  - `text` (string, optional)

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "devices": [
    {
      "team_member_id": "string",
      "desktop_clients": [
        {
          "client_type": {
            ".tag": "windows"
          },
          "client_version": "string",
          "host_name": "string",
          "is_delete_on_unlink_supported": true,
          "platform": "string",
          "session_id": "string",
          "country": "string",
          "created": "2024-01-15T09:30:00Z",
          "ip_address": "string",
          "updated": "2024-01-15T09:30:00Z"
        }
      ],
      "mobile_clients": [
        {
          "client_type": {
            ".tag": "iphone"
          },
          "device_name": "string",
          "session_id": "string",
          "client_version": "string",
          "country": "string",
          "created": "2024-01-15T09:30:00Z",
          "ip_address": "string",
          "last_carrier": "string",
          "os_version": "string",
          "updated": "2024-01-15T09:30:00Z"
        }
      ],
      "web_sessions": [
        {
          "browser": "string",
          "os": "string",
          "session_id": "string",
          "user_agent": "string",
          "country": "string",
          "created": "2024-01-15T09:30:00Z",
          "expires": "2024-01-15T09:30:00Z",
          "ip_address": "string",
          "updated": "2024-01-15T09:30:00Z"
        }
      ]
    }
  ],
  "has_more": true,
  "cursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/team/devices/list_members_devices"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/team/devices/list_members_devices';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/team/devices/list_members_devices"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/team/devices/list_members_devices")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/team/devices/list_members_devices")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/team/devices/list_members_devices', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/team/devices/list_members_devices");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/team/devices/list_members_devices")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```